TestCommonValidator (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.validator.common.test.TestCommonValidator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.validator.common.test
Class TestCommonValidator

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.hyperic.util.validator.common.test.TestCommonValidator

All Implemented Interfaces:
  junit.framework.Test

    public class TestCommonValidator

extends junit.framework.TestCase

JUnit TestCase.

Constructor Summary
`TestCommonValidator(java.lang.String name)` Constructs a test case with the given name.

Method Summary
`protected void` | `setUp()`
`protected void` | `tearDown()`
`void` | `testValidate()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCommonValidator

    public TestCommonValidator(java.lang.String name)

  Constructs a test case with the given name.

Method Detail

### setUp

    protected void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testValidate

    public void testValidate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.